#ifndef _KS_DEVCTL_H_
#define _KS_DEVCTL_H_

#include <sys/types.h>

enum ksaf_device_type {
	KSAF_USB = 1,
	KSAF_PCI,
	KSAF_SERIAL,
	KSAF_PARALLEL,
	KSAF_IEEE1394,
	KSAF_PCMCIA,
	KSAF_PCIE,
	KSAF_SATA,
	KSAF_HDMI,
	KSAF_DP,
	KSAF_CDROM,
	KSAF_PRINTER,
	KSAF_WIRELESS,
	KSAF_ETHERNET,
	KSAF_BLUETOOTH,
	KSAF_VIDEO,
	KSAF_AUDIO_JACK,
	KSAF_AUDIO_MIC,
	KASF_AUDIO_SPEAKER,
	KSAF_INFRARED,
	KSAF_MODEM,
	KSAF_MMC,
	KSAF_SCSI_RAID,
	KSAF_FLOPPY_DRIVE,
	KSAF_MULTI_SERIAL_CARD,
	KSAF_HOTSPOT,
	KSAF_SCANNER,
	KSAF_WINCE,
	KSAF_PRINTER_LOCAL,
	KSAF_PRINTER_NET,
	KSAF_DEV_MAX
};

#define KSAF_DEVICE_USE 1
#define KSAF_DEVICE_WRITE 3



int ksaf_get_status(void);

extern int ksaf_get_cups_perm_by_pid(pid_t pid);
extern int ksaf_get_audio_perm_by_pid(pid_t pid);
extern int ksaf_get_printer_perm_by_type(int type);

extern int ksaf_get_audio_playback_perm_by_pid(pid_t pid);
extern int ksaf_get_audio_record_perm_by_pid(pid_t pid);
extern int ksaf_get_audio_jack_perm_by_pid(pid_t pid);
extern int ksaf_get_sane_perm_by_pid(pid_t pid);
extern int ksaf_get_wince_perm_by_pid(pid_t pid);
extern int ksaf_get_bluetooth_perm_by_pid(pid_t pid);


#endif